<!DOCTYPE html>
<html>
   <head>
      <meta http-equiv="pragma"        content="no-cache">
      <meta http-equiv='content-type'  content='text/html; charset=utf-8'>
      <title>Wrightia :: Snapshot Collector</title>
      %invoke wia.pub.isspscoll.ui.util:getStyleMetadata%
      <link rel="stylesheet" type="text/css" href="%value WmRoot/cssFilename%">
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/wrightia.css">
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/onlinedoc.css">
      <link rel="stylesheet" type="text/css" href="/WiaServiceProfiler/issprofiler.css">
      <link rel="stylesheet" type="text/css" href="css/package.css" />
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/no-quirks.css">
      %end invoke%
   </head>

   <body>
      <table class="topContainer">
         <tr>
            <td class="menusection menusection-SnapshotCollector" colspan="2">Edit Configurable Settings</td>
         </tr>
         <tr>
            <td>
               <ul>
                  <li><a href="settings-edit.dsp">Reload</a></li>
               </ul>
            </td>
            <td class="navbar">
               <ul>
                  <li><a href="./">Home</a></li>
                  <li><a href="doc/PackageHelp.html#configurationsettings" target="isspcoll_onlinehelp">Help</a></li>
               </ul>
            </td>
         </tr>
      </table>
      <table class="mainContainer"><!-- this table is being used only to set a left indentation to the child tables -->
         %ifvar action equals('Save')%
            %invoke wia.pub.isspscoll.ui.settings:save%
            %onerror%
            <tr>
               <td class="message" colspan="2">
                  Error saving the properties.</br>
                  %value errorMessage encode(xml)%
               </td>
            </tr>
            %end invoke%
         %else%
            %invoke wia.pub.isspscoll.ui.settings:load%
            %end invoke%
         %end if%
         <tr>
            <td width="10">&nbsp;</td>
            <td>
               <div class="note">
                  <p>
                     Selection of editable configuration settings.
                  </p>
               </div>
               <form name="frmMain" method="post" action="settings-edit.dsp">
                  <table name="formContainer" class="formContainer">
                     <thead>
                        <tr class="heading">
                           <td colspan="3">Configuration Settings</td>
                        </tr>
                        <tr>
                           <td class="columnHeading">Name</td>
                           <td class="columnHeading">Value</td>
                           <td class="columnHeading">Description</td>
                        </tr>
                     </thead>
                     <tbody>
                     %loop propertyDefList%
                        <tr class="propertyGrouping">
                           <td class="oddrow-l" colspan="3">%value name%</td>
                        </tr>
                        %loop properties%
                           <tr class="selectableRowStripped">
                              <td class="evenrow">%value caption%:<input type="hidden" name="name" value="%value name%"/></td>
                              <td class="evenrow-l"><input type="text" name="value" value="%value default%"/></td>
                              <td class="evenrow-l">%value description%</td>
                           </tr>
                        %end loop%
                     %end loop%
                     </tbody>
                     <tfoot>
                        <tr>
                           <td class="action" colspan="3">
                              <input type="submit" name="action" value="Save" />
                           </td>
                        </tr>
                     <tfoot>
                  </table>
               </form>
            </td>
         </tr>
      </table>
   </body>
</html>
