<!DOCTYPE html>
<html>
   <head>
      <meta http-equiv="pragma"        content="no-cache">
      <meta http-equiv='content-type'  content='text/html; charset=utf-8'>
      <title>Wrightia :: Snapshot Collector</title>
      %invoke wia.pub.isspscoll.ui.util:getStyleMetadata%
      <link rel="stylesheet" type="text/css" href="%value WmRoot/cssFilename%">
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/wrightia.css">
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/onlinedoc.css">
      <link rel="stylesheet" type="text/css" href="css/package.css" />
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/no-quirks.css">
      %end invoke%
   </head>

   <body>
      <table class="topContainer">
         <tr>
            <td class="menusection menusection-SnapshotCollector" colspan="2">Server Selection > Snapshot Selection > Load to Service Profiler</td>
         </tr>
         <tr>
            <td>
               <ul>
                  <li><a href="server-select.dsp">Back to Server Selection</a></li>
               </ul>
            <td>
            <td class="navbar">
               <ul>
                  <li><a href="./">Home</a></li>
                  <li><a href="doc/PackageHelp.html#snapshotload" target="isspcoll_onlinehelp">Help</a></li>
               </ul>
            </td>
         </tr>
      </table>
      <table class="mainContainer"><!-- this table is being used only to set a left indentation to the child tables -->
         <tr>
            <td width="10">&nbsp;</td>
            <td>
               <table>
                  %invoke wia.pub.isspscoll.ui.selectSnapshot:loadintoServiceProfiler%
                     <tr>
                        %ifvar message%
                           <td class="message">
                              %value message encode(xml)%
                           </td>
                        %else%
                           <td>
                              <div class="note">
                                 <p>
                                    The snapshot as been loaded into the local <a href="/WiaServiceProfiler" target="%value $host%_issprofiler">Service Profiler</a>
                                    where it can be viewed.
                                 </p>
                              </div>

                              <div class="note" id="summary-servers">
                                 <p>Included servers:</p>
                                 <ul>
                                 %loop /Summary/Servers%
                                    <li><tt>%value hostname%:%value port%</tt></li>
                                 %end loop%
                                 </ul>
                              </div>
                              <div class="note" id="summary-timestamps">
                                 <p>From <span class="systemname">%value /Summary/sampleStartDate%</span> to <span class="systemname">%value Summary/sampleEndDate%</span>.
                              </div>
                           </td>
                        %endif%
                     </tr>
                  %onerror%
                     <tr>
                        <td class="message" colspan="3">
                           An error occurred trying to build the report data.
                           Check by executing the '%value errorService%' service on a browser.
                           The error details are as follows: <br/><br/>
                           %value errorMessage encode(xml)%
                        </td>
                     </tr>
                  %end invoke%
               </table>
            </td>
         </tr>
      </table>
   </body>
</html>
